Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class OCSPRefType

    java.lang.Object
      org.etsi.uri._01903.v1_3.OCSPRefType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class OCSPRefType

extends Object
implements Serializable

Java class for OCSPRefType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OCSPRefType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="OCSPIdentifier" type="{http://uri.etsi.org/01903/v1.3.2#}OCSPIdentifierType"/>
             <element name="DigestAlgAndValue" type="{http://uri.etsi.org/01903/v1.3.2#}DigestAlgAndValueType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OCSPRefType()`

Method Summary
`DigestAlgAndValueType` | `getDigestAlgAndValue()` Gets the value of the digestAlgAndValue property.
`OCSPIdentifierType` | `getOCSPIdentifier()` Gets the value of the ocspIdentifier property.
`void` | `setDigestAlgAndValue(DigestAlgAndValueType value)` Sets the value of the digestAlgAndValue property.
`void` | `setOCSPIdentifier(OCSPIdentifierType value)` Sets the value of the ocspIdentifier property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPRefType

    public OCSPRefType()

Method Detail

### getOCSPIdentifier

    public OCSPIdentifierType getOCSPIdentifier()

  Gets the value of the ocspIdentifier property.

  Returns:
    possible object is `OCSPIdentifierType`

### setOCSPIdentifier

    public void setOCSPIdentifier(OCSPIdentifierType value)

  Sets the value of the ocspIdentifier property.

  Parameters:
    `value` - allowed object is `OCSPIdentifierType`

### getDigestAlgAndValue

    public DigestAlgAndValueType getDigestAlgAndValue()

  Gets the value of the digestAlgAndValue property.

  Returns:
    possible object is `DigestAlgAndValueType`

### setDigestAlgAndValue

    public void setDigestAlgAndValue(DigestAlgAndValueType value)

  Sets the value of the digestAlgAndValue property.

  Parameters:
    `value` - allowed object is `DigestAlgAndValueType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.